%global dlrn_nvr python-tempestconf-3.0.2-1.20210528041732.c377168
%global dlrn 1
%define upstream_version 3.0.2
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global pname tempestconf

%global with_doc 0

%global common_desc \
python-tempestconf will automatically generates the tempest \
configuration based on your cloud.

Name:           python-%{pname}
Version: 3.0.2
Release: 1.20210528041732.c377168%{?dist}
Summary:        OpenStack Tempest Config generator

License:        ASL 2.0
URL:            http://git.openstack.org/cgit/openstack/python-%{pname}
Source0: python-tempestconf-3.0.2-1.20210528041732.c377168.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=c3771689de2c066e8e0a3d59bce2e456b5d610c9

BuildArch:      noarch

BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-pbr >= 3.1.1
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  git

# test dependencies

BuildRequires:  python%{pyver}-subunit
BuildRequires:  python%{pyver}-oslotest
BuildRequires:  python%{pyver}-stestr
BuildRequires:  python%{pyver}-testscenarios
BuildRequires:  python%{pyver}-testtools
BuildRequires:  python%{pyver}-tempest
BuildRequires:  python%{pyver}-openstacksdk >= 0.11.3
%if %{pyver} == 2
BuildRequires:  python2-mock
%endif

%description
%{common_desc}

%package -n     python%{pyver}-%{pname}
Summary:        OpenStack Tempest Config generator
%{?python_provide:%python_provide python%{pyver}-%{pname}}
%if %{pyver} == 3
Obsoletes: python2-%{pname} < %{version}-%{release}
%endif

Requires:       python%{pyver}-pbr >= 3.1.1
Requires:       python%{pyver}-tempest >= 1:18.0.0
Requires:       python%{pyver}-setuptools
Requires:       python%{pyver}-requests
Requires:       python%{pyver}-openstacksdk >= 0.11.3
Requires:       python%{pyver}-castellan
Requires:       python%{pyver}-cryptography
Requires:       python%{pyver}-six
Requires:       python%{pyver}-oslo-config >= 2:3.23.0

# Handle python2 exception
%if %{pyver} == 2
Requires:      PyYAML
%else
Requires:      python%{pyver}-PyYAML
%endif

%description -n python%{pyver}-%{pname}
%{common_desc}

%package -n python%{pyver}-%{pname}-tests
Summary:    python%{pyver}-tempestconf tests
Requires:   python%{pyver}-%{pname} = %{version}-%{release}

Requires:   python%{pyver}-subunit
Requires:   python%{pyver}-oslotest
Requires:   python%{pyver}-testrepository
Requires:   python%{pyver}-testscenarios
Requires:   python%{pyver}-testtools
%if %{pyver} == 2
Requires:      python2-mock
%endif

%description -n python%{pyver}-%{pname}-tests
%{common_desc}

It contains the test suite.

%if 0%{?with_doc}
%package -n python-%{pname}-doc
Summary:        python-tempestconf documentation

BuildRequires:  python%{pyver}-sphinx
BuildRequires:  python%{pyver}-openstackdocstheme
BuildRequires:  python%{pyver}-sphinx-argparse >= 0.2.2

%description -n python-%{pname}-doc
%{common_desc}

Documentation for python-tempestconf
%endif

%prep
%autosetup -n python-tempestconf-%{upstream_version} -S git

%build
%{pyver_build}

%if 0%{?with_doc}
# generate html docs
export PYTHONPATH=.
sphinx-build-%{pyver} -W -b html doc/source doc/build/html
# remove the sphinx-build-%{pyver} leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

# workaround for handling py2 and py3 mock issue
%if %{pyver} == 2
find ./config_tempest/tests -type f -exec sed -i -e 's/from unittest import mock/import mock/g' {} \;
%endif

%install
%{pyver_install}

# Create a versioned binary for backwards compatibility until everything is pure py3
ln -s discover-tempest-config %{buildroot}%{_bindir}/discover-tempest-config-%{pyver}

# The only file from this location is going to be removed soon
rm -rf %{buildroot}/usr/etc/tempest/*

%check
export OS_TEST_PATH='./config_tempest/tests'
export PATH=$PATH:$RPM_BUILD_ROOT/usr/bin
export PYTHONPATH=$PWD
export PYTHON=%{pyver_bin}
stestr-%{pyver} --test-path $OS_TEST_PATH run

%files -n python%{pyver}-%{pname}
%license LICENSE
%doc README.rst
%{_bindir}/discover-tempest-config
%{_bindir}/discover-tempest-config-%{pyver}
%{pyver_sitelib}/config_tempest
%exclude %{pyver_sitelib}/config_tempest/tests
%{pyver_sitelib}/python_tempestconf-*.egg-info

%files -n python%{pyver}-%{pname}-tests
%license LICENSE
%{pyver_sitelib}/config_tempest/tests

%if 0%{?with_doc}
%files -n python-%{pname}-doc
%license LICENSE
%doc doc/build/html
%endif

%changelog
* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 3.0.2-1.20210528041732.c377168
- Update patches

* Sun May 23 2021 OSP Prod Chain <dev-null@redhat.com> 3.0.2-1.20210523163305.c377168
- Update patches

* Sun May 23 2021 OSP Prod Chain <dev-null@redhat.com> 3.0.2-1.20210523154224.c377168
- Update patches

* Wed Apr 14 2021 OSP Prod Chain <dev-null@redhat.com> 2.4.0-1
- Update patches

* Tue Apr 13 2021 OSP Prod Chain <dev-null@redhat.com> 2.4.0-1
- Manila: Add snapshot capabilities in [share]
- Inclusive jargon
- Switch to packstack centos8-stream base job
- Skip test_create_update_server_with_subnet
- Manila: Set multitenancy_enabled in [share]
- Fix manila backend_names and enable_protocols
- Fix share endpoint discovery
- Add alternative image to be downloaded
- Fix placement endpoint discovery
- Enable barbican service
- Fix a typo in a role var
- Fix doc style issues and fix some typos
- Don't run refstack jobs on irrelevant files change
- Set ssl cert option for horizon service
- Remove deprecated scenario image option
- Release 3.1.0 releasenotes
- Enable neutron port security for Octavia tests
- Add placement service versions discovery
- Remove deprecated volume API config options
- Get ssl opts to every service class
- Replace refstack-client job
- Remove OS_AUTH_URL workaround
- Fix and improve SSL configuration
- Replace stein jobs by ussuri and victoria ones
- Fix doc, releasenotes plus build pdf
- Add irrelevant-files to the provider job
- Remove six.PY3 conditions
- Fix flake8 errors
- Migrate to content provider jobs/templates
- Run unit tests by py38 as well

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> 2.4.0-1
- Update patches

* Mon Aug 17 2020 OSP Prod Chain <dev-null@redhat.com> 2.4.0-1
- Update patches
- Edit assert to support py2
- Fix aliases in .zuul.yaml
- Anchor irrelevant files in .zuul.yaml
- Edit unit test base class inheritance
- [share] Specify supported protocols
- Improve octavia tempest plugin configuration
- Fix packstack jobs and improve playbook's style
- Update DEFAULT_FLAVOR_{RAM, _ALT} >= 128
- Added virtualenv and tox installation
- Update jobs for interop repos renaming
- Fix heat plugin support
- Make name of the demo user unique
- Make packstack jobs non voting
- Switch to newer openstackdocstheme and reno versions
- Update constraints handling
- Fix install-plugins role
- Add pep8 job
- Use unittest.mock instead of third party mock
- Cleanup py27 support
- Change role setting for octavia
- Switch to c8 based tripleo standalone jobs
- Added Mistral service type workflowv2
- Fix TypeError on configparser
- Replace yaml.load() with yaml.safe_load()
- Use centos8 in packstack jobs
- Fix the python 3 support and drop python 2 and 3.5
- Add support for storage pools
- Discover Barbican service
- Remove support of nova-network
- Update compute config only when compute section exists
- Decode bytes data to string
- Create networks only when network service is enabled
- Replace ostempest job with plain tripleo standalone

* Mon Aug 17 2020 OSP Prod Chain <dev-null@redhat.com> 2.4.0-1
- Update patches

* Mon Mar 30 2020 OSP Prod Chain <dev-null@redhat.com> 2.4.0-1
- Change role setting for octavia

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> 2.4.0-1
- Update patches

* Tue Feb 25 2020 OSP Prod Chain <dev-null@redhat.com> 2.4.0-1
- Update patches

* Wed Dec 18 2019 OSP Prod Chain <dev-null@redhat.com> 2.4.0-1
- Update patches

* Tue Dec 17 2019 OSP Prod Chain <dev-null@redhat.com> 2.4.0-1
- Update patches
- Don't use name of a service as a key
- Add train jobs, make master packstack non voting
- Fix section of s3_url and ec2_url
- Merge "Enable designate service"
- Merge "Allow discover-tempest-config to run with no nova or glance endpoint"
- Collect openstack services logs after tempest run
- Merge "Set compute/min_compute_nodes"
- Merge "Discover Designate service"
- Enable designate service
- Set compute/min_compute_nodes
- Discover Designate service
- Merge "Sync Sphinx requirement"
- Use https for cirros image
- Sync Sphinx requirement
- Update the constraints url
- Allow discover-tempest-config to run with no nova or glance endpoint

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> 2.3.0-1
- Update the constraints url
- Update the constraints url

* Thu Oct 03 2019 RDO <dev@lists.rdoproject.org> 2.3.0-1
- Update to 2.3.0


